summaryrefslogtreecommitdiff
path: root/eclass/rpm.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2023-06-17 01:42:56 +0100
committerV3n3RiX <venerix@koprulu.sector>2023-06-17 01:42:56 +0100
commitfa5e8e92d94ea9de5d49a1f5ad19abf7272503d0 (patch)
treeecc5fe98bb3e337641ece993bfc9b928fb2b2aa7 /eclass/rpm.eclass
parentdada2d5b0b1d7e87f9c3ebe4b31ca9b4f4b2ed62 (diff)
gentoo auto-resync : 17:06:2023 - 01:42:56
Diffstat (limited to 'eclass/rpm.eclass')
-rw-r--r--eclass/rpm.eclass13
1 files changed, 6 insertions, 7 deletions
diff --git a/eclass/rpm.eclass b/eclass/rpm.eclass
index c97e23144c2b..d8bb0ad2814d 100644
--- a/eclass/rpm.eclass
+++ b/eclass/rpm.eclass
@@ -1,16 +1,15 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: rpm.eclass
# @MAINTAINER:
# base-system@gentoo.org
-# @SUPPORTED_EAPIS: 5 6 7 8
+# @SUPPORTED_EAPIS: 6 7 8
# @BLURB: convenience class for extracting RPMs
case ${EAPI} in
- 5|6) inherit epatch eutils ;; # eutils for eqawarn
- 7) inherit eutils ;; # not needed, but ebuilds may still rely on it
- 8) ;;
+ 6) inherit epatch eutils ;; # eutils for eqawarn
+ 7|8) ;;
*) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
esac
@@ -20,7 +19,7 @@ _RPM_ECLASS=1
inherit estack
case ${EAPI} in
- 5|6) DEPEND="app-arch/rpm2targz" ;;
+ 6) DEPEND="app-arch/rpm2targz" ;;
*) BDEPEND="app-arch/rpm2targz" ;;
esac
@@ -98,7 +97,7 @@ rpm_src_unpack() {
# files around, well this won't handle that.
rpm_spec_epatch() {
# no epatch in EAPI 7 and later
- [[ ${EAPI} == [56] ]] || die "${FUNCNAME} is banned in EAPI ${EAPI}"
+ [[ ${EAPI} == 6 ]] || die "${FUNCNAME} is banned in EAPI ${EAPI}"
local p spec=$1
local dir